> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get mark price candlesticks

GET https://www.okx.com/api/v5/market/mark-price-candles

Retrieve candlestick (OHLC) data of the mark price. Mark price candles do not include a volume field.

Reference: https://okx-demo.ferndocs.com/api/api-reference/market/get-mark-price-candlesticks

## Request

### Query parameters

- `instId` (string, required) — Instrument ID, e.g. BTC-USDT-SWAP.
- `bar` (string, optional) — Bar size / time interval, e.g. 1m, 5m, 1H, 1D. Default 1m.
- `after` (string, optional) — Pagination: return records earlier than the requested ts (Unix timestamp in ms).
- `before` (string, optional) — Pagination: return records newer than the requested ts (Unix timestamp in ms).
- `limit` (string, optional) — Number of results per request. Maximum 100, default 100.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of list of any, optional)

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    [
      "1597026383085",
      "3.721",
      "3.743",
      "3.677",
      "3.708",
      "0"
    ],
    [
      "1597026383085",
      "3.731",
      "3.799",
      "3.494",
      "3.72",
      "1"
    ]
  ]
}
```

**SDK Code**

```python market_getMarkPriceCandlesticks_example
import requests

url = "https://www.okx.com/api/v5/market/mark-price-candles"

querystring = {"instId":"BTC-USDT-SWAP"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript market_getMarkPriceCandlesticks_example
const url = 'https://www.okx.com/api/v5/market/mark-price-candles?instId=BTC-USDT-SWAP';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go market_getMarkPriceCandlesticks_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/market/mark-price-candles?instId=BTC-USDT-SWAP"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby market_getMarkPriceCandlesticks_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/market/mark-price-candles?instId=BTC-USDT-SWAP")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java market_getMarkPriceCandlesticks_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/market/mark-price-candles?instId=BTC-USDT-SWAP")
  .asString();
```

```php market_getMarkPriceCandlesticks_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/market/mark-price-candles?instId=BTC-USDT-SWAP');

echo $response->getBody();
```

```csharp market_getMarkPriceCandlesticks_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/market/mark-price-candles?instId=BTC-USDT-SWAP");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift market_getMarkPriceCandlesticks_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/market/mark-price-candles?instId=BTC-USDT-SWAP")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```